secondary
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# secondary

secondary — A secondary word or phrase in an index term

## Synopsis

### Mixed Content Model

    secondary ::=
    (#PCDATA|footnoteref|xref|abbrev|acronym|citation|citerefentry|
     citetitle|emphasis|firstterm|foreignphrase|glossterm|footnote|
     phrase|quote|trademark|wordasword|personname|link|olink|ulink|
     action|application|classname|methodname|interfacename|
     exceptionname|ooclass|oointerface|ooexception|command|
     computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     author|authorinitials|corpauthor|modespec|othercredit|
     productname|productnumber|revhistory|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject)*

### Attributes

Common attributes

Name | Type | Default
sortas | CDATA | None

## Description

`Secondary` contains a secondary word or phrase in an `IndexTerm`. The text of a `Secondary` term is less significant than the `Primary` term, but more significant than the `Tertiary` term for sorting and display purposes.

In `IndexTerm`s, you can only have one primary, secondary, and tertiary term. If you want to index multiple secondary terms for the same primary, you must repeat the primary in another `IndexTerm`. You cannot place several `Secondary`s in the same primary.

### Processing expectations

Suppressed. This element provides data for processing but is not rendered in the primary flow of text.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain secondary: `indexterm`.

### Children

The following elements occur in secondary: `abbrev`, `acronym`, `action`, `anchor`, `application`, `author`, `authorinitials`, `citation`, `citerefentry`, `citetitle`, `classname`, `command`, `computeroutput`, `constant`, `corpauthor`, `database`, `email`, `emphasis`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `firstterm`, `footnote`, `footnoteref`, `foreignphrase`, `function`, `glossterm`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `modespec`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `othercredit`, `parameter`, `personname`, `phrase`, `productname`, `productnumber`, `prompt`, `property`, `quote`, `remark`, `replaceable`, `returnvalue`, `revhistory`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `trademark`, `type`, `ulink`, `userinput`, `varname`, `wordasword`, `xref`.

## Attributes

sortas

  `SortAs` specifies the string by which the element's content is to be sorted. If unspecified, the proper content is used.

## See Also

`indexentry`, `indexterm`, `primary`, `primaryie`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `tertiary`, `tertiaryie`.

## Examples

For examples, see `chapter`, `indexterm` .

Prev | Home | Next
screenshot | Up | secondaryie

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.